Project

General

Profile

Bug #7684

Remove obsolete default requirement for vanilla jobs

Added by Marco Mambelli almost 5 years ago. Updated over 4 years ago.

Status:
Closed
Priority:
Normal
Category:
-
Target version:
Start date:
01/27/2015
Due date:
% Done:

0%

Estimated time:
First Occurred:
Occurs In:
Stakeholders:
Duration:

Description

In /etc/condor/config.d/02_gwms_schedds.config there is:
APPEND_REQ_VANILLA = (Memory>=1) && (Disk>=1)

If there is no requirements line in the job this causes condor_submit to give a warning:

WARNING: Your Requirements expression refers to TARGET.Disk. This is obsolete. Set request_disk and condor_submit will modify the Requirements expression as needed.

WARNING: your Requirements expression refers to TARGET.Memory. This is obsolete. Set request_memory and condor_submit will modify the Requirements expression as needed.

That line should be removed.
This talks about how new requirements are changed: https://htcondor-wiki.cs.wisc.edu/index.cgi/tktview?tn=2835

We have already the following lines that should add the defaults:

JOB_DEFAULT_REQUESTDISK = 1
JOB_DEFAULT_REQUESTMEMORY = 1024

These attribiutes were introduced in condor 7.8, so we should be fine in all supported versions and not need APPEND_REQ_VANILLA.

In my installation (frontend + schedd) I removed APPEND_REQ_VANILLA and all seem to work fine.
Marco

History

#1 Updated by Marco Mambelli almost 5 years ago

  • Status changed from New to Feedback
  • Assignee set to Parag Mhashilkar
  • Target version set to v3_3

Changes are in master_7684.

#2 Updated by Marco Mambelli almost 5 years ago

  • Target version changed from v3_3 to v3_2_9

#3 Updated by Parag Mhashilkar almost 5 years ago

  • Status changed from Feedback to Resolved
  • Assignee changed from Parag Mhashilkar to Marco Mambelli

Looks ok. Merged

#4 Updated by Parag Mhashilkar over 4 years ago

  • Status changed from Resolved to Closed


Also available in: Atom PDF